Bug 116572 - libxml2 ftp and http fetch had a bound checking error
Summary: libxml2 ftp and http fetch had a bound checking error
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: libxml2 (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: CVE-2004-0110
TreeView+ depends on / blocked
 
Reported: 2004-02-23 12:31 UTC by Daniel Veillard
Modified: 2008-01-29 09:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 15:34:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fix the problem on 2.6.5 (6.23 KB, patch)
2004-02-23 12:33 UTC, Daniel Veillard
no flags Details | Diff

Description Daniel Veillard 2004-02-23 12:31:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
When fetching a remote resource via ftp and http
libxml2 use special parsing routines which had a buffer
overflow problem if passed a URL more than 4Kb.
This is a potential security issue covering all libxml2
releases up to 2.6.5 and fixed in 2.6.6

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./usr/bin/xmllint http://`perl -e 'print "A" x 5000'`
2.
3.
    

Actual Results:  segfaults

Expected Results:  should not segfault

Additional info:

This covers RHEL 2.1, RHL9, RHEL 3 and FC1 <grin/>

Comment 1 Daniel Veillard 2004-02-23 12:33:30 UTC
Created attachment 97942 [details]
This patch fix the problem on 2.6.5

Comment 2 Daniel Veillard 2004-02-23 12:35:51 UTC
Best processing seems to:
  - apply the patch for RHEL 2.1 and 3
  - push 2.6.6 or 2.6.7 as a fedora core 1 update
  - for RHL9 applying the patch is probably the simplest.

Daniel

Comment 4 Mark J. Cox 2004-02-24 09:38:10 UTC
RHSA-2004:090 (RHEL) and RHSA-2004:091 (RHL9) in progress.

Comment 5 Mark J. Cox 2004-03-08 15:34:08 UTC
was released 2004-02-26


Note You need to log in before you can comment on or make changes to this bug.